package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFG84Response {

    @Parameter(name = "BankaPrijemceJmenoBanky")
    String bankaPrijemceJmenoBanky();

    @Parameter(name = "BankaPrijemceMesto")
    String bankaPrijemceMesto();

    @Parameter(name = "BankaPrijemceStat")
    String bankaPrijemceStat();

    @Parameter(name = "BankaPrijemceUlice")
    String bankaPrijemceUlice();

    @Parameter(name = "EkvivalentKUctu")
    Double ekvivalentKUctu();

    @Parameter(name = "IDTransakce")
    Long iDTransakce();

    @Parameter(name = "InfoProPrijemce1")
    String infoProPrijemce1();

    @Parameter(name = "InfoProPrijemce2")
    String infoProPrijemce2();

    @Parameter(name = "InfoProPrijemce3")
    String infoProPrijemce3();

    @Parameter(name = "InfoProPrijemce4")
    String infoProPrijemce4();

    @Parameter(name = "OUTBankaPrijemceJmenoBanky")
    String oUTBankaPrijemceJmenoBanky();

    @Parameter(name = "OUTBankaPrijemceMesto")
    String oUTBankaPrijemceMesto();

    @Parameter(name = "OUTBankaPrijemceStat")
    String oUTBankaPrijemceStat();

    @Parameter(name = "OUTBankaPrijemceUlice")
    String oUTBankaPrijemceUlice();

    @Parameter(name = "OUTInformaceProPrijemce1")
    String oUTInformaceProPrijemce1();

    @Parameter(name = "OUTInformaceProPrijemce2")
    String oUTInformaceProPrijemce2();

    @Parameter(name = "OUTInformaceProPrijemce3")
    String oUTInformaceProPrijemce3();

    @Parameter(name = "OUTInformaceProPrijemce4")
    String oUTInformaceProPrijemce4();

    @Parameter(name = "OUTPrijemceCisloUctu")
    String oUTPrijemceCisloUctu();

    @Parameter(name = "OUTPrijemceJmeno")
    String oUTPrijemceJmeno();

    @Parameter(name = "OUTPrijemceStat")
    String oUTPrijemceStat();

    @Parameter(name = "OUTPrijemceUliceMesto")
    String oUTPrijemceUliceMesto();

    @Parameter(name = "PrijemceCisloUctu")
    String prijemceCisloUctu();

    @Parameter(name = "PrijemceJmeno")
    String prijemceJmeno();

    @Parameter(name = "PrijemceStat")
    String prijemceStat();

    @Parameter(name = "PrijemceUliceMesto")
    String prijemceUliceMesto();

}